Prev |  | Next

# FcDirScan

## Name

FcDirScan -- scan a font directory without caching it

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcBool FcDirScan`(FcFontSet *set, FcStrSet *dirs, FcFileCache *cache, FcBlanks *blanks, const FcChar8 *dir, FcBool force);`

## Description

If `cache` is not zero or if `force` is FcFalse, this function currently returns FcFalse. Otherwise, it scans an entire directory and adds all fonts found to `set`. Any subdirectories found are added to `dirs`. Calling this function does not create any cache files. Use FcDirCacheRead() if caching is desired.

Prev | Home | Next
FcFileIsDir | Up | FcDirSave